summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTommaso Sardelli2018-10-10 15:41:35 +0200
committerTommaso Sardelli2018-10-10 15:41:35 +0200
commit9341a13cb31d11591511cbd6c24f54e536bd4856 (patch)
tree27f25fa03a7efaa729eb8095108a1bba95f27996
downloadaur-9341a13cb31d11591511cbd6c24f54e536bd4856.tar.gz
Initial commit
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD39
2 files changed, 59 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ae3fc1732a6
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = bpftrace-git
+ pkgdesc = High-level tracing language for Linux eBPF
+ pkgver = r417.e1abee5
+ pkgrel = 1
+ url = https://github.com/iovisor/bpftrace
+ arch = i686
+ arch = x86_64
+ license = Apache
+ makedepends = cmake
+ makedepends = git
+ makedepends = llvm6
+ depends = libelf
+ depends = zlib
+ depends = llvm6-libs
+ depends = clang<=6.0.1
+ source = git+https://github.com/iovisor/bpftrace.git
+ sha512sums = SKIP
+
+pkgname = bpftrace-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a5296e69c6a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Tommaso Sardelli <lacapannadelloziotom at gmail dot com>
+pkgname=bpftrace-git
+_pkgname=bpftrace
+pkgver=r417.e1abee5
+pkgrel=1
+pkgdesc='High-level tracing language for Linux eBPF'
+arch=('i686' 'x86_64')
+url="https://github.com/iovisor/bpftrace"
+license=('Apache')
+depends=('libelf' 'zlib' 'llvm6-libs' 'clang<=6.0.1')
+makedepends=('cmake' 'git' 'llvm6')
+source=("git+https://github.com/iovisor/bpftrace.git")
+sha512sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$_pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$srcdir/$_pkgname"
+
+ mkdir -p build
+ cd build
+ cmake -DCMAKE_BUILD_TYPE=DEBUG -DCMAKE_INSTALL_PREFIX=/usr ..
+ make
+}
+
+package() {
+ cd "$srcdir/$_pkgname/build"
+
+ make DESTDIR="$pkgdir/" install
+
+}
+
+# vim:set ts=2 sw=2 et: